%global pypi_name decorator
%define anolis_release 3

Name:           python-%{pypi_name}
Version:        5.1.1
Release:        %{anolis_release}%{?dist}
Summary:        Module to simplify usage of decorators

License:        BSD
URL:            https://github.com/micheles/decorator
Source0:        %pypi_source decorator

BuildArch:      noarch

BuildRequires:  python3-devel

%description
The aim of the decorator module is to simplify the usage of decorators for
the average programmer, and to popularize decorators usage giving examples
of useful decorators, such as memoize, tracing, redirecting_stdout, locked,
etc.  The core of this module is a decorator factory called decorator.

%package -n python3-decorator
Summary:        Module to simplify usage of decorators in python3
%{?python_provide:%python_provide python3-decorator}

%description -n python3-decorator
The aim of the decorator module is to simplify the usage of decorators for
the average programmer, and to popularize decorators usage giving examples
of useful decorators, such as memoize, tracing, redirecting_stdout, locked,
etc.  The core of this module is a decorator factory called decorator.

%package -n     python3-decorator-doc
Summary:        doc files for python3-decorator
Requires:       python3-decorator = %{version}-%{release}

%description -n python3-decorator-doc
doc files for python3-decorator.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# Remove this when https://github.com/micheles/decorator/issues/32 is fixed.
find %{buildroot} -name SOURCES.txt~ -exec rm -f {} \;

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%{python3_sitelib}/decorator.py
%{python3_sitelib}/decorator-%{version}.dist-info/
%{python3_sitelib}/__pycache__/*

%files -n python3-%{pypi_name}-doc
%doc README.rst CHANGES.md

%changelog
* Mon Nov 20 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.1.1-3
- rebuild

* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.1.1-2
- optimise dependency

* Thu Mar  10 2022 zl01087097 <zl01087097@alibaba-inc.com> - 5.1.1-1
- upstream version 5.1.1
